#!/bin/sh

rm -f $SCHEMA_DIR/*xsd $SCHEMA_DIR/*rng

JAVA=/usr/lib/jvm/java-6-sun/jre/bin/java

TRANG=../verify/trang.jar
JING=../verify/jing.jar
MSV=../verify/msv.jar

SCHEMA_DIR=..
INSTANCE_DIR=.

$JAVA -jar $TRANG -I rnc -O rng $SCHEMA_DIR/nmlbase.rnc $SCHEMA_DIR/nmlbase.rng
$JAVA -jar $TRANG -I rng -O xsd $SCHEMA_DIR/nmlbase.rng $SCHEMA_DIR/nmlbase.xsd

$JAVA -jar $MSV -warning $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/switch_matrix_without_labels.xml
$JAVA -jar $JING $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/switch_matrix_without_labels.xml

$JAVA -jar $MSV -warning $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/switch_matrix_w_labels.xml
$JAVA -jar $JING $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/switch_matrix_w_labels.xml

$JAVA -jar $MSV -warning $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/configured_vlan.xml
$JAVA -jar $JING $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/configured_vlan.xml

$JAVA -jar $MSV -warning $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/2vlans_option1.xml
$JAVA -jar $JING $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/2vlans_option1.xml

$JAVA -jar $MSV -warning $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/2vlans_option2.xml
$JAVA -jar $JING $SCHEMA_DIR/nmlbase.rng $INSTANCE_DIR/2vlans_option2.xml

